"use strict";
const common_vendor = require("../../../common/vendor.js");
const ME_release_items_show_method = require("./method.js");
const ME_release_items_show_model = require("./model.js");
const gen_Enums = require("../../../gen/Enums.js");
require("../../../gen/Apis.js");
require("../../../common/libraries/request.js");
require("../../../common/store/useWeAppAuthStore.js");
require("../../../common/libraries/setTabBar.js");
require("../../../common/libraries/apiLoading.js");
require("../../../common/store/useWorkStore.js");
require("../../../common/libraries/userUserLogin.js");
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    common_vendor.onLoad((e) => {
      var _a;
      (_a = ME_release_items_show_method.method) == null ? void 0 : _a.getShow(e);
    });
    common_vendor.onUnload(() => {
      ME_release_items_show_model.useModel.showData.value = {};
    });
    return (_ctx, _cache) => {
      var _a, _b, _c, _d, _e, _f, _g, _h, _i, _j, _k, _l, _m, _n, _o, _p, _q, _r, _s, _t, _u, _v, _w, _x, _y;
      return common_vendor.e({
        a: (_b = (_a = common_vendor.unref(ME_release_items_show_model.useModel)) == null ? void 0 : _a.qrCode) == null ? void 0 : _b.value,
        b: common_vendor.t(((_f = (_e = (_d = (_c = common_vendor.unref(ME_release_items_show_model.useModel)) == null ? void 0 : _c.showData) == null ? void 0 : _d.value) == null ? void 0 : _e.asset_house) == null ? void 0 : _f.full_name) || "-"),
        c: common_vendor.t(((_i = (_h = (_g = common_vendor.unref(ME_release_items_show_model.useModel)) == null ? void 0 : _g.showData) == null ? void 0 : _h.value) == null ? void 0 : _i.passed_time) || "-"),
        d: common_vendor.t(((_m = common_vendor.unref(gen_Enums.GoodsReleasesPassedTypeEnum)[(_l = (_k = (_j = common_vendor.unref(ME_release_items_show_model.useModel)) == null ? void 0 : _j.showData) == null ? void 0 : _k.value) == null ? void 0 : _l.passed_type]) == null ? void 0 : _m.text) || "-"),
        e: common_vendor.f((_p = (_o = (_n = common_vendor.unref(ME_release_items_show_model.useModel)) == null ? void 0 : _n.showData) == null ? void 0 : _o.value) == null ? void 0 : _p.goods, (i, index, i0) => {
          return {
            a: common_vendor.t((i == null ? void 0 : i.name) || "-"),
            b: common_vendor.t((i == null ? void 0 : i.number) || "-"),
            c: common_vendor.t((i == null ? void 0 : i.remark) || "-"),
            d: `goods_${index}`
          };
        }),
        f: (_s = (_r = (_q = common_vendor.unref(ME_release_items_show_model.useModel)) == null ? void 0 : _q.showData) == null ? void 0 : _r.value) == null ? void 0 : _s.remark
      }, ((_v = (_u = (_t = common_vendor.unref(ME_release_items_show_model.useModel)) == null ? void 0 : _t.showData) == null ? void 0 : _u.value) == null ? void 0 : _v.remark) ? {
        g: common_vendor.t(((_y = (_x = (_w = common_vendor.unref(ME_release_items_show_model.useModel)) == null ? void 0 : _w.showData) == null ? void 0 : _x.value) == null ? void 0 : _y.remark) || "-")
      } : {});
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-customer/src/ME/release_items/show/index.vue"]]);
wx.createPage(MiniProgramPage);
